<html devsite><head>
    <title>Android 8.0 中的安全增强功能</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->

<p>每个 Android 版本中都包含数十种用于保护用户的安全增强功能。以下是 Android 8.0 中提供的一些主要安全增强功能：</p>

<ul>
  <li><strong>加密</strong>：在工作资料中增加了对取消密钥的支持。</li>
  <li><strong>验证启动</strong>：增加了 Android 验证启动 (AVB)。支持回滚保护（用于引导加载程序）的验证启动代码库已添加到 AOSP 中。建议提供引导加载程序支持，以便为 HLOS 提供回滚保护。建议将引导加载程序设为只能由用户通过实际操作设备来解锁。</li>
  <li><strong>锁定屏幕</strong>：增加了对使用防篡改硬件验证锁定屏幕凭据的支持。</li>
  <li><strong>KeyStore</strong>：搭载 Android 8.0+ 的所有设备所需的<a href="/security/keystore/attestation">密钥认证</a>。增加了 <a href="/security/keystore/attestation#id-attestation">ID 认证</a>支持，以改善零触摸注册。</li>
  <li><strong>沙盒</strong>：使用 Project Treble 的框架和设备特定组件之间的标准接口更<a href="https://android-developers.googleblog.com/2017/07/shut-hal-up.html">紧密地对许多组件进行沙盒化处理</a>。将 <a href="https://android-developers.googleblog.com/2017/07/seccomp-filter-in-android-o.html">seccomp 过滤</a>应用到了所有不信任的应用，以减少内核的攻击面。<a href="https://android-developers.googleblog.com/2017/06/whats-new-in-webview-security.html">WebView</a> 现在运行在一个独立的进程中，对系统其余部分的访问非常有限。</li>
  <li><strong>内核加固</strong>：实现了<a href="https://android-developers.googleblog.com/2017/08/hardening-kernel-in-android-oreo.html">加固 usercopy</a>、PAN 模拟、初始化后只读以及 KASLR。</li>
  <li><strong>用户空间加固</strong>：为媒体堆栈实现了 CFI。应用叠加层不能再覆盖系统关键型窗口，并且用户有办法关闭它们。</li>
  <li><strong>流式操作系统更新</strong>：在磁盘空间不足的设备上启用了<a href="/devices/tech/ota/ab_updates#streaming-updates">更新</a>。</li>
  <li><strong>安装未知应用</strong>：用户必须<a href="https://developer.android.com/studio/publish/index.html#publishing-unknown">授予权限</a>，才能从不是第一方应用商店的来源安装应用。</li>
  <li><strong>隐私权</strong>：对于设备上的每个应用和每个用户，Android ID (SSAID) 具有不同的值。对于网络浏览器应用，Widevine 客户端 ID 会针对每个应用包名称和网页来源返回不同的值。
  <code>net.hostname</code> 现在为空，并且 DHCP 客户端不再发送主机名。<code>android.os.Build.SERIAL</code> 已被替换为 <a href="https://developer.android.com/reference/android/os/Build.html#getSerial()"><code>Build.SERIAL</code> API</a>（受到用户控制权限的保护）。改进了某些芯片组中的 MAC 地址随机化功能。</li>
</ul>

</body></html>